HostingPhpVersionListResponse
Successful response with a list of HostingPhpVersion
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data object[]required
Items returned by the operation
Array [
versionstringrequired
PHP version, for example 8.3: send it to PATCH /api/v3/hostings/{hosting_id}/php-version
is_currentbooleanrequired
Whether the hosting uses this version
is_defaultbooleanrequired
Whether it is the default version of the web server
]
metarequired
Always null: only the paginated lists have a meta
Constant value:
nullHostingPhpVersionListResponse
{
"error": 0,
"message": "string",
"data": [
{
"version": "string",
"is_current": true,
"is_default": true
}
]
}